avx_dp_key = 'AVX DP [MFLOP/s]'
cpi_key = 'CPI'
dp_key = 'DP [MFLOP/s]'

energy_dram_key = 'Energy DRAM [J]'
energy_key = 'Energy [J]'
power_dram_key = 'Power DRAM [W]'
power_key = 'Power [W]'

memory_bandwidth_key = 'Memory bandwidth [MBytes/s]'
memory_read_bandwidth_key = 'Memory read bandwidth [MBytes/s]'
memory_write_bandwidth_key = 'Memory write bandwidth [MBytes/s]'

memory_data_key = 'Memory data volume [GBytes]'
memory_write_key = 'Memory write data volume [GBytes]'
memory_read_key = 'Memory read data volume [GBytes]'

oi_key = 'Operational intensity'
packe_ops_key = 'Packed [MUOPS/s]'
scalar_ops_key = 'Scalar [MUOPS/s]'
runtime_key = 'Runtime (RDTSC) [s]'
clock_key = 'Clock [MHz]'

STAT_SUFFIX = ' STAT'


def add_suffix(suffix: str, key: str) -> str:
    return f'{key} {suffix}'


def add_stat(key):
    return add_suffix(STAT_SUFFIX, key)


def add_avg(key):
    return add_suffix('Avg', key)


def add_sum(key):
    return add_suffix('Sum', key)


def add_min(key):
    return add_suffix('Min', key)


def add_max(key):
    return add_suffix('Max', key)


def add_stat_avg(key):
    return add_avg(add_stat(key))


def add_stat_min(key):
    return add_min(add_stat(key))


def add_stat_max(key):
    return add_max(add_stat(key))


def add_stat_sum(key):
    return add_sum(add_stat(key))
