def get_color_regex_override(regex: str, color: str, *, mode: str = "fixed"):
    return {
        "matcher": {
            "id": "byRegexp",
            "options": regex
        },
        "properties": [
            {
                "id": "color",
                "value": {
                    "fixedColor": color,
                    "mode": mode
                }
            }
        ]
    }


def get_line_style_regex_override(regex: str, style: str):
    return {
        "matcher": {
            "id": "byRegexp",
            "options": regex
        },
        "properties": [
            {
                "id": "custom.lineStyle",
                "value": {
                    "fill": style
                }
            }
        ]
    }
